name: Mac History Editor Build

on:
  push:
    branches: [ "main" ]
    paths:
      - ".github/workflows/mac_history_build.yml"
      - "src/main/swift/net/eagle0/EagleGameHistoryViewer/**"
      - "src/main/protobuf/net/eagle0/eagle/**"
  pull_request:
    paths:
      - ".github/workflows/mac_history_build.yml"
      - "src/main/swift/net/eagle0/EagleGameHistoryViewer/**"
      - "src/main/protobuf/net/eagle0/eagle/**"

permissions:
  contents: read

jobs:
  mac-history-build:
    runs-on: self-hosted

    steps:
      - uses: actions/checkout@v4
        with:
          lfs: false
          clean: false
      - name: Build the mac history
        run: ./ci/github_actions/build_mac_history.sh